Page MenuHomePhabricator

Drop py2.6 support
Closed, DeclinedPublic

Description

Python 2 is dead, long live Python 2!
https://lists.wikimedia.org/pipermail/pywikibot/2014-August/thread.html#9018

As of April 2015, the Python stats show Python 2.6 usage is greater than Python 3.3+
F3244627:

A table added to https://github.com/shazow/urllib3/issues/786 shows Python 2.6 is still the second most used version of urllib3
F3244625:

Event Timeline

Ricordisamoa raised the priority of this task from to Needs Triage.
Ricordisamoa updated the task description. (Show Details)
Ricordisamoa added a project: Pywikibot.
Ricordisamoa added a subscriber: Ricordisamoa.
Restricted Application added subscribers: pywikibot-bugs-list, Aklapper. · View Herald TranscriptJun 19 2015, 7:50 AM
jayvdb added a subscriber: jayvdb.Jun 19 2015, 8:04 AM

The known problem scenario is Redhat Enterprise Linux shipping only Python 2.6.6, and there are people using Pywikibot on these boxes, and those boxes are locked down.

We've managed to keep Python 2.6.6 supported (the future package makes this easy), but T102461 is a real hurdle.

A good step forward would be to segregate py2.6-specific code into a separate file.

XZise added a subscriber: XZise.Aug 6 2015, 11:59 AM

Resolved as T114464, I guess? :)

jayvdb closed this task as Declined.Oct 4 2015, 3:49 AM
jayvdb claimed this task.

Resolved as T114464, I guess? :)

No. That is a release branch. master continues to support 2.6 while we have users who need it. Start an RFC if you want to drop support against the needs of some of our userbase.

No. That is a release branch. master continues to support 2.6 while we have users who need it. Start an RFC if you want to drop support against the needs of some of our userbase.

A stable release drops support while master, supposedly bleeding edge, carries on? WTF?

jayvdb added a comment.Oct 4 2015, 4:14 AM

It is more feasible to keep 2.6 users supported if they are using master.

We are not going to backport python 2.6 fixes to v2.0, as that would require a panicked response and a release whenever a dependency drops 2.6 support, which isnt worth the effort.

i.e. we believe python 2.6 can't be stable, and is 'best-effort' support only. It will break occasionally for reasons beyond our control.

An interesting read regarding dropping support for Python 2.6. http://www.curiousefficiency.org/posts/2015/04/stop-supporting-python26.html

We could ask our RHEL6 users why they are not able to use the available 'Python Upgrade Paths' described there.

Interesting post @jayvdb . I'll follow up on that next week.

Restricted Application added a subscriber: StudiesWorld. · View Herald TranscriptNov 18 2015, 12:43 AM
jayvdb updated the task description. (Show Details)Jan 20 2016, 2:39 AM
jayvdb set Security to None.